# Ada-SLS

## Install requirements
`pip install -r requirements.txt` 


## Experiments

Run the experiments for the paper using the command below:

```
python trainval.py -e ${GROUP}_{BENCHMARK} -sb ${SAVEDIR_BASE} -d ${DATADIR} -r 1
```

with the placeholders defined as follows.

**{GROUP}**: 

Defines the set of optimizers to run, which can either be,

- `nomom` for opimizers without momentum; or
- `mom` for opimizers with momentum.

**{BENCHMARK}**: 

Defines the dataset, evaluation metric and model for the experiments (see `exp_configs.py`), which can be,

- `syn` for the synthetic experiments;
- `kernels` for the kernel experiments;
- `mf` for matrix factorization experiments;
- `mnist` for the mnist experiments;
- `cifar10`, `cifar100`, `cifar10_nobn`, `cifar100_nobn` for the cifar experiments; or
- `imagenet200`, `imagenet10` for the imagenet experiments.

**{SAVEDIR_BASE}**: 

Defines the absolute path to where the results will be saved.

**{DATADIR}**: 

Defines the absolute path containing the downloaded datasets.

